Home
Home
  1. Payroll Provider API Prototypes
  • Salary Deduction
    • Welcome
    • Getting started
      • Availability and Onboarding
        • Light Availability Check
        • Full Availability Check
        • Onboarding
      • Salary Deduction
        • Deduction Instruction
        • Re-running Payroll
        • Deduction Payments and Reconciliation
        • Changes to Employee Status
    • API Reference
      • Authentication
      • Idempotency
      • Webhooks
        • Webhooks
      • Salary Deduction
        • Salary Deduction Data Request
        • Salary Deduction Confirmation Submission
    • Schemas
      • Availability Check
        • Light Availability Check Response
        • Light Availability Check Request
        • Full Availability Check Response
        • Full Availability Check Request
      • Core
        • ProblemDetails
      • Deduction Instructions
        • Salary Deduction
        • Confirmation Deduction Response
        • Salary Deduction Enablement Response
        • Employee Deduction Push Response
        • Employee Deduction Push Request
        • Latest Employee Deduction Push Response
      • Payment Account
        • Payment Account
        • Payment Information
      • Payroll
        • Salary Deduction Confirmation Data Submission
        • Salary Deduction Data Response
        • Payroll
        • Employee Payroll
        • Employment
        • Pay Date
        • Salary Deduction Enablement Request
      • Webhooks
        • Employee Update Payload
        • WebHook
  • Payroll Provider API Prototypes
    • Light Availability Check
      POST
    • Full Availability Check
      POST
    • Salary Deduction Enablement
      POST
    • Payroll Information
      GET
    • Salary Deduction Employee Data Push
      POST
    • Latest Salary Deduction Employee Data Push
      GET
  1. Payroll Provider API Prototypes

Latest Salary Deduction Employee Data Push

GET
/deductions/payroll/{payroll_id}/employees/{employee_id}
OperationId:get_latest_employee_deduction
Ontime calls this endpoint when it does not know the outcome of a push, for example after a timeout, to find the deduction you hold as accepted for the employee in the pay period. Ontime then records the push as accepted or rejected from what you hold.
When nothing has been accepted for the employee in the pay period, respond 200 with version 0, a null batch_id and a deduction_amount of 0. Respond 404 when the payroll or employee is not known.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/deductions/payroll/PAYROLL-001/employees/EMP-001?pay_period_id=February-26' \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'

Responses

🟢200Success
application/json
The deduction held as accepted.
Bodyapplication/json

Examples
{
    "payroll_id": "PAYROLL-001",
    "pay_period_id": "February-26",
    "version": 2,
    "batch_id": "260210090000123456",
    "salary_deduction": {
        "employee_id": "EMP-001",
        "deduction_amount": 4509,
        "currency": "GBP"
    }
}
🟠401Unauthorised
🟠403Forbidden
🟠404Not Found
Previous
Salary Deduction Employee Data Push